import javabook.*;
class ArrayUneven {

  public static void main (String [] args) {
        
	MainWindow mw = new MainWindow("Uneven Array Example");
	InputBox ib = new InputBox(mw);
	OutputBox ob = new OutputBox(mw);

    mw.show();
	ob.show();

	int nStudents = ib.getInteger("Enter number of students in school: ");

	// 2D Array of nRows rows and nColumns columns 
    float [][] gpa = new float[nStudents][];

	// Read values into 2D array
	// Note gpa.length is the number of rows
	// Note gpa[i].length is the number of columns in row i 

    for(int i = 0; i < gpa.length; i++) {
	  int nSemesters = ib.getInteger("Enter number of semesters "+
	   " student " + i + " has been in school");

	  // Create a one-d array of the appropriate size
	  gpa[i] = new float[nSemesters]; 

	  // Store gpa for each semester for student i
      for(int j = 0; j < gpa[i].length; j++) 
	    gpa[i][j] = ib.getFloat("Enter gpa for semester "+j );
    } 

	// Display the UNEVEN array
    for(int i = 0; i < gpa.length; i++) { 
      for(int j = 0; j < gpa[i].length; j++) 
	    ob.print(gpa[i][j]+ " ");
      ob.skipLine(1);
    }
	    
	// Find gpa's for a particular student
    int studentId = ib.getInteger("Enter student id to find: ");

	// Print gpa's for that student
    for(int j = 0; j < gpa[studentId - 100].length; j++) 
	    ob.print(gpa[studentId - 100][j]+ " ");

    } // end of main

}
